# l2tp server


# ENV
```shell
cat > ./l2tp.env <<EOF
VPN_IPSEC_PSK=PSK
VPN_USER=USER
VPN_PASSWORD=PASSWORD
VPN_PUBLIC_IP=
VPN_L2TP_NET=
VPN_L2TP_LOCAL=
VPN_L2TP_REMOTE=
VPN_XAUTH_NET=
VPN_XAUTH_REMOTE=
VPN_DNS1=
VPN_DNS2=
VPN_SHA2_TRUNCBUG=
EOF
```

# Docker run
```shell
docker run -d --privileged \
    -p 500:500/udp \
    -p 4500:4500/udp \
    --name l2tp \
    --restart=always \
    --env-file ${PWD}/l2tp.env \
    -v /lib/modules:/lib/modules \
    teddysun/l2tp
```